# config.py

import os
from dotenv import load_dotenv

load_dotenv()

class Config:
    # OpenAI API parameters
    OPENAI_API_KEY = os.getenv('OPENAI_API_KEY')
    OPENAI_BASE_URL = os.getenv('OPENAI_BASE_URL')
    OPENAI_MODEL = os.getenv('OPENAI_MODEL')
    
    # Test generation parameters
    TEMPERATURE = 0.3
    MAX_TOKENS = 1000
    TOP_P = 0.95
    FREQUENCY_PENALTY = 0.0
    PRESENCE_PENALTY = 0.0
    STOP = None

    # File paths
    JSON_PATH = os.getenv('JSON_PATH')
    
    # File processing configuration
    SUPPORTED_EXTENSIONS = ('.java', '.kt')
    MAX_RETRIES = 3
    REQUIRED_ELEMENTS = {
        'java': ['@Test', 'import org.junit', 'public class', 'Assert.'],
        'kotlin': ['@Test', 'import org.junit', 'class', 'assert']
    }

    # Clean-up configuration
    MAX_ITERATIONS = 5
