class MethodData:
    def __init__(self, signature: str, comments: str, method_body: str, source_code: str, class_name: str, package: str):
        self.signature = signature
        self.comments = comments
        self.method_body = method_body
        self.source_code = source_code
        self.class_name = class_name
        self.package = package

    def get_name(self) -> str:
        return self.signature.split('(')[0].strip().split(' ')[-1]

    def get_signature(self) -> str:
        return self.signature

    def get_comments(self) -> str:
        return self.comments

    def get_method_body(self) -> str:
        return self.method_body

    def get_private_method(self) -> str:
        return f"{self.comments}\n{self.signature}\n{self.method_body}"

    def get_source_code(self) -> str:
        return self.source_code
    
    def set_source_code(self, source_code: str):
        self.source_code = source_code

    def get_class_name(self) -> str:
        return self.class_name

    def get_package(self) -> str:
        return self.package

    def get_full_qualified_name(self) -> str:
        return f"{self.package}.{self.class_name}" if self.package else self.class_name

class ConstructorData:
    def __init__(self, signature: str, constructor_body: str, class_name: str, package: str):
        self.signature = signature
        self.constructor_body = constructor_body
        self.class_name = class_name
        self.package = package

    def get_constructor(self) -> str:
        return f"{self.signature}\n{self.constructor_body}"

    def get_class_name(self) -> str:
        return self.class_name

    def get_package(self) -> str:
        return self.package

    def get_full_qualified_name(self) -> str:
        return f"{self.package}.{self.class_name}" if self.package else self.class_name