# test_failure.py

from dataclasses import dataclass
from typing import Optional

@dataclass
class TestFailure:
    """Represents a single test failure with detailed information."""
    test_name: str
    failure_type: str  # e.g., "AssertionError", "CompilationError"
    message: str
    stack_trace: str
    source_line: Optional[str] = None
    source_file: Optional[str] = None
    line_number: Optional[int] = None